Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::texture_transform_node Class Reference

Inheritance diagram for openvrml::vrml97_node::texture_transform_node:

[legend]
List of all members.

## Detailed Description

TextureTransform node instances.

## Public Member Functions

| texture_transform_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~texture_transform_node () throw ()
| Destroy.

## Private Member Functions

virtual void | do_render_texture_transform (viewer &v)
| render_texture_transform implementation.

## Private Attributes

exposedfield< sfvec2f > | center_
| center exposedField.
exposedfield< sffloat > | rotation_
| rotation exposedField.
exposedfield< sfvec2f > | scale_
| scale exposedField.
exposedfield< sfvec2f > | translation_
| translation exposedField.

## Friends

class | texture_transform_class
| Class object for TextureTransform instances.

## Constructor & Destructor Documentation

openvrml::vrml97_node::texture_transform_node::texture_transform_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the instance.
  | scope | the scope that the new node will belong to.

Reimplemented from openvrml::texture_transform_node.

openvrml::vrml97_node::texture_transform_node::~texture_transform_node | ( |  | ) | throw ()`[virtual]`

| Destroy. Implements openvrml::texture_transform_node.

## Member Function Documentation

void openvrml::vrml97_node::texture_transform_node::do_render_texture_transform | ( | viewer & | v | ) | `[private, virtual]`

render_texture_transform implementation.

Parameters:

  | v | viewer.

Reimplemented from openvrml::texture_transform_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::texture_transform_node::texture_transform_class`[friend]`

| Class object for TextureTransform instances.

## Member Data Documentation

exposedfield< sfvec2f > openvrml::vrml97_node::texture_transform_node::center_ `[private]`

| center exposedField.

exposedfield< sffloat > openvrml::vrml97_node::texture_transform_node::rotation_ `[private]`

| rotation exposedField.

exposedfield< sfvec2f > openvrml::vrml97_node::texture_transform_node::scale_ `[private]`

| scale exposedField.

exposedfield< sfvec2f > openvrml::vrml97_node::texture_transform_node::translation_ `[private]`

| translation exposedField.